<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">
    <title>Задание 8</title>
<script
src="https://code.jquery.com/jquery-3.2.1.min.js"
integrity="sha256-hwg4gsxgFZhOsEEamdOYGBf13FyQuiTwlAQgxVSNgt4="
crossorigin="anonymous"></script>
</head>

<body>

<form id="frag">
<h1> Форма</h1>
<label><input type="text" placeholder="Введите Имя"></label><br><br>
<label><input type="email" placeholder="Введите email"></label><br><br>
<label><textarea placeholder="Введите сообщение"></textarea></label><br><br>
<label><input type="checkbox">Согласие на обработку персональных данных</label><br><br>
<label><input type="submit" onclick="return go();></label>
</form>

<script>
  $( document ).ready(function() {
    $.ajax({
      url: 'https://api.slapform.com/your@email.com',
      dataType: 'json',
      method: 'POST',
      data: {
        name: 'Jon Snow',
        message: 'Hello World! This is my first Slapform submission.',
        /* Name triggers */
        slap_subject: 'My Favorite Message',
        slap_replyto: 'custom@replyto.com'
        slap_debug: false,
        slap_webhook: 'https://yourwebsite.com/webhook',
        slap_honey: ''
        /* These Slapform Name Triggers exist but aren't applicable to AJAX submissions */
        // slap_redirect: 'https://yourwebsite.com',
        // slap_captcha: false,

      },
      success: function (response) {
        console.log('Got data: ', response);
        if (response.meta.status == 'success') {
          console.log('Submission was successful!');
          // window.location.href = 'https://google.com' // Uncomment this line if you want to redirect the user upon a successful submission
        } else if (response.meta.status == 'fail') {
          console.log('Submission failed with these errors: ', response.meta.errors);
        }
      }
    });
  });

</script>

  </body>
</html>

